Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.posix.natives
Interface Ioctl

All Superinterfaces:
  Library

All Known Implementing Classes:
  IoctlImpl, IoctlImpl, IoctlImpl, IoctlImpl, IoctlImpl

    public interface Ioctl

extends Library

java wrapper around #include

Field Summary
`static int` | `FIOASYNC`
`static int` | `FIOCLEX`
`static int` | `FIOGETOWN`
`static int` | `FIONBIO`
`static int` | `FIONCLEX`
`static int` | `FIONREAD`
`static int` | `FIOSETOWN`
`static Ioctl` | `INSTANCE`

Method Summary
`int` | `ioctl(int fd, int request, int i1)` Perform IO control operation `request` on device `fd`.
`int` | `ioctl(int fd, int request, IntByReference p1)` Perform IO control operation `request` on device `fd`.
`int` | `ioctl(int fd, int request, int i1, int i2)` Perorm IO control operation `request` on device `fd`.
`int` | `ioctl(int fd, int request, int i1, int i2, int i3)` Perorm IO control operation `request` on device `fd`.

Methods inherited from interface com.sun.cldc.jna.Library
`initConstInt`

Field Detail

### INSTANCE

    static final Ioctl INSTANCE

### FIOCLEX

    static final int FIOCLEX

### FIONCLEX

    static final int FIONCLEX

### FIONREAD

    static final int FIONREAD

### FIONBIO

    static final int FIONBIO

### FIOASYNC

    static final int FIOASYNC

### FIOSETOWN

    static final int FIOSETOWN

### FIOGETOWN

    static final int FIOGETOWN

Method Detail

### ioctl

    int ioctl(int fd,
              int request,
              int i1)

  Perform IO control operation `request` on device `fd`.

  Parameters:
    `fd` - an open file descriptor
    `request` - am encded value containing the requested operation and the arguments
    `i1` -
  Returns:
    -1 on error

### ioctl

    int ioctl(int fd,
              int request,
              IntByReference p1)

  Perform IO control operation `request` on device `fd`.

  Parameters:
    `fd` - an open file descriptor
    `request` - am encded value containing the requested operation and the arguments
    `p1` - pointer to int
  Returns:
    -1 on error

### ioctl

    int ioctl(int fd,
              int request,
              int i1,
              int i2)

  Perorm IO control operation `request` on device `fd`.

  Parameters:
    `fd` - an open file descriptor
    `request` - am encded value containing the requested operation and the arguments
    `i1` -
    `i2` -
  Returns:
    -1 on error

### ioctl

    int ioctl(int fd,
              int request,
              int i1,
              int i2,
              int i3)

  Perorm IO control operation `request` on device `fd`.

  Parameters:
    `fd` - an open file descriptor
    `request` - am encded value containing the requested operation and the arguments
    `i1` -
    `i2` -
    `i3` -
  Returns:
    -1 on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"